# Load

### Description

After initializing the QlmFloatingLicenseHelper by calling the Init function, you must call the Load method to load the floating license database and validate the license.

```csharp
bool Load(out bool reRegisterLicense, out bool reRegisterDb, 
          out bool isOffline, out bool wasOffline,
          out QlmActivationStatus activationStatus, out string errorMessage, 
          out string offlineError)
```

### Parameters

| Parameter         |                                                              Type                                                             | Description                                                            |
| ----------------- | :---------------------------------------------------------------------------------------------------------------------------: | ---------------------------------------------------------------------- |
| reRegisterLicense |                                                              bool                                                             | return flag indicating the license must be reactivated                 |
| reRegisterDb      |                                                              bool                                                             | return flag indicating the floating license DB must be re-registered   |
| isOffline         |                                                              bool                                                             | return flag indicating the system is offline                           |
| wasOffline        |                                                              bool                                                             | return flag indicating the system was offline but is currently online  |
| activationStatus  | [QlmActivationStatus](https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/enums/qlmactivationstatus) | return flag indicating the current activation status                   |
| errorMessage      |                                                             string                                                            | return error message if there was an error during the validation       |
| offlineError      |                                                             string                                                            | return error message if there was an error related to the offline mode |

### Return

| Type | Description                                             |
| ---- | ------------------------------------------------------- |
| bool | true if the operation was successful; otherwise, false. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/methods/load.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
